﻿/*
 * *Created by PoLeung
 * *Email 30930572@qq.com
 * *Create date 2023-01-11
 * *Copyright LockDataV
 * *Desc data visualization project based on echarts4.0.js.
 */

@charset "utf-8";
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

/*页面全局设置*/
html, body {
    width: 100%;
    height: 100%;
    padding: 0px;
    margin: 0px;
}

body {
    color: #666;
    font-size: 16px;
    background-size: 100%;
    font-family: "微软雅黑";
    -moz-user-select: none;
    -khtml-user-select: none;
    user-select: none;
}


li {
    list-style-type: none;
}

i {
    margin: 0px;
    padding: 0px;
    text-indent: 0px;
}

a {
    text-decoration: none;
    color: #399bff;
}

a.active, a:focus {
    outline: none !important;
    text-decoration: none;
}

ol, ul, p, h1, h2, h3, h4, h5, h6 {
    padding: 0;
    margin: 0
}

a:hover {
    color: #06c;
    text-decoration: none !important
}

.clearfix:after, .clearfix:before {
    display: table;
    content: " "
}

.clearfix:after {
    clear: both
}

/*系统定制字体*/
@font-face {
    font-family: 'lockfonts';
    src: url('../fonts/DS-DIGI.TTF'), url('../fonts/DS-DIGIB.TTF'), url('../fonts/DS-DIGIT.TTF');
}

.lock-bold {
    font-weight: bold;
    color: #868686;
}

/*地图容器*/
#lock_map {
    position: relative;
    width: 100%;
    height: 1080px;
    padding: 0px;
    margin: 0px;
    z-index: 10;
}

.lock_menu {
    position: absolute;
    z-index: 99;
    top: 100px;
    left: 50%;
    transform: translate(-50%, -50%);
}

.lock_btn {
    background: rgba(9, 59, 123, 0.9);
}

.lock_search {
    position: absolute;
    z-index: 99;
    top: 160px;
    left: 50%;
    transform: translate(-50%, -50%);
}

/*大屏标题*/
.head {
    position: absolute;
    z-index: 99;
    width: 100%;
    height: 93px;
    background: url('../images/headbg.png') no-repeat center center;
}

.logo {
    float: left;
    width: 17%;
}

.logo > img {
    height: 30px;
    margin-left: 10px;
    margin-top: 10px;
}

.lock_times {
    float: left;
    width: 17%;
    color: #FFF;
    font-size: 18px;
    padding: 10px 10px 0 0;
    text-align: right;
}

.headTitle {
    float: left;
    width: 66%;
    line-height: 60px;
    color: #fff;
    font-size: 36px;
    font-weight: bold;
    letter-spacing: 3px;
    text-align: center;
    margin: 0px auto;
}

/*左侧面板*/
.left_panel {
    position: absolute;
    z-index: 99;
    left: 55px;
    top: 100px;
}

.right_panel {
    position: absolute;
    z-index: 99;
    right: 55px;
    top: 100px;
}

/*左右装饰条*/
.left_hud {
    position: absolute;
    z-index: 99;
    height: 635px;
    width: 40px;
    left: 0;
    top: 20%;
    background: transparent url("../images/hud_right.png") no-repeat top left;
}

.right_hud {
    position: absolute;
    z-index: 99;
    height: 635px;
    width: 40px;
    right: 0;
    top: 20%;
    background: transparent url("../images/hud_left.png") no-repeat top left;
}

/*指标标题*/
.boxAll {
    position: relative;
    padding: 15px;
    width: 445px;
    background: rgba(9, 59, 123, 0.9);
    margin-bottom: 30px;
    border-bottom: #093b7b 1px solid;
    border-radius: 10px;
    z-index: 10;
}

.box_title {
    background: transparent url("../images/navibg.png") no-repeat top left;
    height: 45px;
    margin-top: -35px;
    margin-left: -17px;
    font-weight: bold;
    color: #fff;
    text-shadow: -2px -2px 0 #093b7b, 1px -1px 0 #093b7b, -1px 1px 0 #093b7b, 1px 1px 0 #093b7b;
    font-size: 20px;
    padding-left: 42px;
    letter-spacing: 2px;
    z-index: 999;
}

.box_arrow {
    position: absolute;
    top: -18px;
    left: 1px;
    cursor: pointer;
    z-index: 999;
}

.navboxall {
    height: calc(100% - 10px);
}

.ani {
    animation: fadeInOut 3s ease-in-out infinite; /* 应用动画，2秒一个周期，缓动函数，无限循环 */
}

/*箭头动画*/
@keyframes fadeInOut {
    0% {
        opacity: .3; /* 图片完全透明 */
    }
    50% {
        opacity: 1; /* 图片完全不透明 */
    }
    100% {
        opacity: .3; /* 图片再次完全透明 */
    }
}

/*用户统计*/
.user {
    margin: 20px 0;
}

.user_item {
    float: left;
    width: 50%;
    margin-top: 10px;
}

.user_item1 {
    float: left;
    width: 45%;
}

.user_item2 {
    float: left;
    width: 55%;
}

.user_item2 > p:first-child {
    background: url("../images/lines.png") no-repeat bottom left;
    width: 107px;
    height: 33px;
    color: #00fee2;
    letter-spacing: 3px;
    font-size: 26px;
    font-weight: bold;
    font-family: "lockfonts";
}

.user_item2 > p:nth-child(2) {
    color: #fff;
    font-weight: bold;
    margin-top: 10px;
    font-size: 14px;
}

/*站点统计*/
.site {
    background: url("../images/icon_bg.png") no-repeat top left;
    height: 75px;
    margin: 5px 0;
}

.site > span {
    display: inline-block;
    margin: 10px 20px;
}

.site > span:nth-child(2) {
    color: #fff;
    font-weight: bold;
}

.site > span:nth-child(3) {
    color: #00fee2;
    font-size: 26px;
    font-weight: bold;
    letter-spacing: 3px;
    font-family: "lockfonts";
}

/*换点次数统计*/
.norm_box {
    margin: 10px;
}

.norm {
    background: transparent url("../images/norm_bg.png") no-repeat left top;
    width: 402px;
    height: 80px;
}

.norm > p {
    margin-left: 130px;
}

.norm > p:first-child {
    color: #fff;
    font-size: 10px;
    padding-top: 15px;
}

.norm > p:nth-child(2) {
    color: #00fee2;
    font-size: 26px;
    font-weight: bold;
    font-family: "lockfonts";
    margin-top: 10px;
    letter-spacing: 3px;
}

.norm > p:nth-child(2) > label {
    color: #fff;
    font-size: 14px;
    margin-left: 20px;
}

.change_title {
    color: #9bdefd;
    font-weight: bold;
}